CREATE TABLE IF NOT EXISTS public.vpn_conn (
    vpn_node_name TEXT REFERENCES vpn_node (name) NOT NULL,
    key_id INTEGER,
    publickey TEXT NOT NULL,
    PRIMARY KEY (vpn_node_name, key_id),
    UNIQUE (vpn_node_name, publickey),
    altcen_user_id INTEGER REFERENCES altcen_user (id) NOT NULL,
    privatekey TEXT NOT NULL,
    sharedkey TEXT UNIQUE NOT NULL,
    bw_limit INTEGER,
    bw_used INTEGER NOT NULL DEFAULT 0,
    sub_expiry TEXT,
    expired BOOL NOT NULL DEFAULT FALSE,
    enabled BOOL NOT NULL DEFAULT TRUE,
    allowedIPs TEXT,
    dns TEXT,
    ipAddress TEXT,
    ipv4Address TEXT,
    ipv6Address TEXT,
    vpn_node_publickey TEXT NOT NULL,
    vpn_node_fqdn TEXT NOT NULL,
    config_file TEXT,
    config_qrcode TEXT,
    created timestamptz
);